Skip to main content
GET
https://your-rootprint-host
/
api
/
admin
/
activity
/
slowest
List slowest searches
curl --request GET \
  --url https://your-rootprint-host/api/admin/activity/slowest \
  --cookie better-auth.session_token=
[
  {
    "id": 123,
    "executedAt": "2023-11-07T05:31:56Z",
    "indexId": "<string>",
    "actorId": "<string>",
    "actorLabel": "<string>",
    "durationMs": 123,
    "numHits": 123,
    "query": "<string>",
    "startTs": 123,
    "endTs": 123
  }
]

Documentation Index

Fetch the complete documentation index at: https://docs.rootprint.io/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

better-auth.session_token
string
cookie
required

Better Auth session cookie used by the Rootprint web UI.

Query Parameters

window
enum<string>

Activity lookback window. Defaults to 7d.

Available options:
24h,
7d,
30d
limit
integer

Maximum number of slow queries to return. Defaults to 20.

Required range: 1 <= x <= 100

Response

Slowest searches.

id
integer
required
executedAt
string<date-time>
required
indexId
string
required
source
enum<string>
required
Available options:
ui,
token
actorId
string
required
actorLabel
string | null
required
durationMs
number
required
numHits
integer | null
required
query
string
required
startTs
number | null
required
endTs
number | null
required